org.apache.catalina.servlets

## Class DefaultServlet.Range

- java.lang.Object
- - org.apache.catalina.servlets.DefaultServlet.Range

- Enclosing class:
    DefaultServlet

      protected static class DefaultServlet.Range
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `end`
    `long` | `length`
    `long` | `start`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultServlet.Range()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()` Validate range.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### start

          public long start

    - #### end

          public long end

    - #### length

          public long length

  - ### Constructor Detail

    - #### DefaultServlet.Range

          protected DefaultServlet.Range()

  - ### Method Detail

    - #### validate

          public boolean validate()

      Validate range.
      Returns:
        true if the range is valid, otherwise false

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.